Unbound problem - Shared object "libdl.so.1" not found, required by "libpython2.7.so.1"



  • Hi, right after removing stunnel package (don't know if related but happend afterwards)
    the unbound service does not work anymore.

    The following input errors were detected:
    
    The generated config file cannot be parsed by unbound. Please correct the following errors:
    Shared object "libdl.so.1" not found, required by "libpython2.7.so.1"
    

    It is now even impossible to switch to DNS forwarder because of that error.

    • 2.4.4-DEVELOPMENT (amd64)
    • built on Mon Apr 02 15:18:18 CDT 2018
    • FreeBSD 11.1-RELEASE-p7

    Intel(R) Core(TM)2 CPU 4300 @ 1.80GHz
    2 CPUs: 1 package(s) x 2 core(s)
    AES-NI CPU Crypto: No

    How can i fix that? I don't find any experience within the web about that issue.

    Regards
    Dirk


  • LAYER 8 Netgate

    Maybe try something that isn't three months old.



  • But how can I fix that? I can't update the system right now, my network is unusable are the moment and horrible slow because of that issue. The updater also tells me I'm on the latest version. I know there are a couple newer ones but I can't update it.


  • LAYER 8 Netgate

    Download the configuration, install a fresh snapshot, upload the configuration.



  • Thanks for your support. Late in the morning i could upgrade it to the latest dev version which fixed that problem. But now i'm facing problems with PPPOE via VLAN again. The not working PPPOE via VLAN was the reason why i had to switch to dev branch early this year. Now it is not working again with the latest dev :(


Log in to reply